proc isip {address} {
	set testhost [split $address "."]
	if {[llength $testhost]==4} {
		if {[llength [lindex $testhost 0]]<4 && [llength [lindex $testhost 1]]<4 && [llength [lindex $testhost 2]]<4 && [llength [lindex $testhost 4]]<4} {
			if {[lindex $testhost 0] < 256 && [lindex $testhost 1] < 256 && [lindex $testhost 2] < 256 && [lindex $testhost 3] < 256} {
				return 1
			}
		}
	} {
		return 0
	}
}

proc iremoveFromList {list element} {
	upvar $list mylist
	set i [ilsearch $mylist $element]
	if {$i > -1} {set mylist [lreplace $mylist $i $i]} 
}

proc sCompare {a b} {
    return [string match [string tolower $a] [string tolower $b]]
}

proc ilsearch {list item} { 
	set idx 0
	foreach i $list {
		if {[sCompare $item $i]} {
			return $idx
		}
		incr idx
	}
	return -1
}

# thanks to StephenC for letting me rip this cool converter for my /whois idle output from his
#  cool eggdrop script.. :)

proc tconv {thetime} {
  set years ""
  set months ""
  set weeks ""
  set days ""
  set hours ""
  set minutes ""
  set seconds ""
  if { [expr $thetime >= 31536000] == 1 } {
    set years [expr int($thetime/31536000)]
    set thetime [expr $thetime-(31536000*$years)]
    if { $years > 1 } { set years [concat $years "years"] } else { set years [concat $years "year"] }
  }
  if { [expr $thetime >= 2592000] == 1 } {
    set months [expr int($thetime/2592000)]
    set thetime [expr $thetime-(2592000*$months)]
    if { $months > 1 } { set months [concat $months "months"] } else { set months [concat $months "month"] }
  }
  if { [expr $thetime >= 604800] == 1 } {
    set weeks [expr int($thetime/604800)]
    set thetime [expr $thetime-(604800*$weeks)]
    if { $weeks > 1 } { set weeks [concat $weeks "weeks"] } else { set weeks [concat $weeks "week"] }
  }
  if { [expr $thetime >= 86400] == 1 } {
    set days [expr int($thetime/86400)]
    set thetime [expr $thetime-(2592000*$days)]
    if { $days > 1 } { set days [concat $days "days"] } else { set days [concat $days "day"] }
  }
  if { [expr $thetime >= 3600] == 1 } {
    set hours [expr int($thetime/3600)]
    set thetime [expr $thetime-(3600*$hours)]
    if { $hours > 1 } { set hours [concat $hours "hours"] } else { set hours [concat $hours "hour"] }
  }
  if { [expr $thetime >= 60] == 1 } {
    set minutes [expr int($thetime/60)]
    set thetime [expr $thetime-(60*$minutes)]
    if { $minutes > 1 } { set minutes [concat $minutes "minutes"] } else {set minutes [concat $minutes "minute"] }
  }
  if { [expr $thetime < 60] == 1 } {
    if {$thetime > 0} {
    set seconds $thetime
    if { $seconds > 1 } { set seconds [concat $seconds "seconds"] } else {set seconds [concat $seconds "second"] }
    }
  }
  set idle [concat $years $months $weeks $days $hours $minutes $seconds]
  return "$idle"
  complete
}